Subject: bug#71712: 29.3; Crash on OpenBSD

From: Kirill A. Korinsky <[email-masked]>
Date: Sun, 30 Jun 2024 23:58:53 +0100

On Sun, 30 Jun 2024 18:40:52 +0100,
Manuel Giraud <[email-masked]> wrote:
> 
> Kirill A. Korinsky <[email-masked]> writes:
> 
> [...]
> 
> > Thanks for suggestion.
> >
> > I've used egdb because gdb from the base system is quite old.
> 
> So now, are you able to debug Emacs on OpenBSD?

No, because I've used egdb already. Frankly speaking I can't do it via gdb,
lldb and egdb. It simple goes to a state which locks like a deadlock. I
can't kill emacs or used debuger, and the only way to ride off that
processes is reboot.

Futuremore, at least once I achived a kernel panic [1] by my attempt to
debug emacs. This was confirmed as bug by mpi@ [2] and claudio@ [3] who had
planned to improve it.

BTW, since I've rebuild emacs as suggested [4] I haven't faced any crash.

Footnotes:
[1]  https://marc.info/?l=openbsd-bugs&m=171948393800720&w=2

[2]  https://marc.info/?l=openbsd-bugs&m=171948493501603&w=2

[3]  https://marc.info/?l=openbsd-bugs&m=171948527801829&w=2

[4]  https://marc.info/?l=openbsd-bugs&m=171948527801829&w=2

-- 
wbr, Kirill